.container {
  .row {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    border-bottom: 1px solid #566876;
    padding: 23px 0;
    width: auto;

    @media (min-width: 450px) {
      flex-direction: row;

      .col:nth-child(1) {
        width: 10%;
        min-width: 75px;
      }

      .col:nth-child(2) {
        width: 30%;
      }
    }

    .col {
      display: inherit;
      flex-direction: column;
      align-items: center;
      font-family: WorkSans;
      color: var(--light-gray-blue);
      margin-right: 5px;
      font-size: 13px;
      margin-bottom: 30px;
      width: 100%;

      @media (min-width: 450px) {
        width: auto;

        font-size: 18px;
        margin-bottom: 0;
      }

      .label {
        margin-bottom: 15px;
      }

      .toggle {
        display: flex;
        margin-top: 1.5rem;

        .switch {
          padding: 0;
        }

        input[type='checkbox'] {
          cursor: pointer;
          opacity: 0;
          position: relative;
          z-index: 1;
          width: 120px;
          height: 40px;
          left: 90px;
        }

        input:checked + .slider::after {
          content: 'YES';
          background-color: var(--dodger-blue);
          transition: transform 500ms;
          transform: translateX(100%);
        }

        .slider {
          position: relative;
          display: block;
          z-index: 0;
          &:before {
            content: '';
            width: 120px;
            height: 100%;
            background-color: var(--light-gray);
            border: 1px solid #979797;
            display: inline-block;
            border-radius: 3px;
            vertical-align: middle;
            margin-right: 10px;
            margin-left: -30px;
            margin-top: -2px;
            left: -20px;
          }

          &:after {
            content: 'NO';
            width: 57px;
            height: 80%;
            background-color: var(--strawberry);
            background-repeat: no-repeat;
            background-position: center;
            background-size: 14px;
            position: absolute;
            left: 3px;
            top: 3px;
            margin-left: -30px;
            transition: transform 500ms;
            display: flex;
            justify-content: center;
            align-items: center;
            color: var(--pale-blue);
            font-family: WorkSans, sans-serif;
            font-weight: 600;
          }
        }
      }

      .isBoolToggle {
        width: 100%;
        margin-top: 0;
        display: flex;
        justify-content: center;
      }

      .input {
        font-family: inherit;
        display: flex;
        padding-top: 0;
        text-align: center;
        width: 100%;
        height: 50px;
        background-color: var(--dark-gray-blue);
        color: inherit;
        font-size: inherit;
        border: none;

        &:disabled {
          color: #fff;
          opacity: 0.3;
        }
      }

      .error {
        color: red;
        font-size: 16px;
      }

      .closeIcon {
        cursor: pointer;
      }

      @media (min-width: 450px) {
        font-size: 18px;
      }
    }

    .colPosition {
      height: 50px;
      justify-content: center;
      display: flex;
    }

    select {
      display: flex;
      align-items: center;
      position: relative;
      justify-content: space-between;
      border: solid 1px var(--light-gray-blue);
      background-color: transparent;
      font-family: WorkSans, sans-serif;
      color: var(--light-gray-blue);
      font-size: 18px;
      border-radius: 0;
      height: 50px;
      width: 100%;

      @media (min-width: 450px) {
        width: 200px;
        padding: 5px;
      }

      .placeholder {
        align-items: center;
      }

      option {
        background-color: #566876;
        display: flex;
        align-items: center;
        height: 48px;
        font-size: 18px;
        font-weight: 400;
        color: var(--white);
        transition: all 0.3s;

        &:hover {
          background-color: var(--light-gray-blue);
          border-radius: 0;
        }
      }

      .control {
        display: flex;
        align-items: center;
        position: relative;
        justify-content: space-between;
        border: solid 1px var(--light-gray-blue);
        background-color: transparent;
        font-family: WorkSans, sans-serif;
        color: var(--light-gray-blue);
        font-size: 18px;
        height: 46px;
        border-radius: 0;

        .placeholder {
          align-items: center;
        }
      }

      .menu {
        border: solid 1px var(--light-gray-blue);
        background: var(--black);
        margin-top: 6px;
        transition: all 0.5s;
        height: 50px;

        div[class*='is-selected'] {
          border-radius: 0;
          background-color: var(--light-gray-blue);
        }
      }
    }
  }
}

.button {
  width: 100%;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0;
  padding: 0;
  background-color: var(--dark-gray-blue);
  font-size: 15px;
  letter-spacing: 1.85px;
  color: var(--light-gray-blue);
  font-family: WorkSans;
  text-transform: uppercase;
  height: 50px;
  padding: 0 17px;
  margin-top: 24px;

  &:disabled {
    color: #fff;
    background-color: var(--dark-gray-blue);
    opacity: 0.3;
  }
}
